API ReferenceTransactions
Get Transaction
Retrieve detailed transaction information including amounts, status, and payment details
Authorization
ApiKeyAuth BearerAuth x-api-key<token>
API key
In: header
AuthorizationBearer <token>
JWT token obtained from login endpoints
In: header
Query Parameters
tx_id*string
Header Parameters
x-api-key*string
API key for authentication
Authorization*string
JWT token from login endpoints
Response Body
application/json
application/json
curl -X GET "https://api.paytrie.com/transaction?tx_id=3943bb00-1551-4f1d-bf32-2d82608bc15e" \ -H "x-api-key: string" \ -H "Authorization: Bearer <token>"{
"coin": "USDC",
"date": "2025-07-25T14:02:36Z",
"fee": "6.55",
"leftSideLabel": "CAD",
"leftSideValue": 500,
"rightSideLabel": "ETH-USDC",
"status": "complete",
"tx_id": "3943bb00-1551-4f1d-bf32-2d82608bc15e",
"wallet": "0x756Fead01907b3c2173d148f9864d00fAd371AB6",
"eth_fee": false,
"payment_id": "pay_123456789",
"payment_type": "eth network"
}{
"coin": "USDC",
"date": "2025-07-25T14:02:36Z",
"fee": "6.55",
"leftSideLabel": "CAD",
"leftSideValue": 500,
"rightSideLabel": "ETH-USDC",
"status": "complete",
"tx_id": "3943bb00-1551-4f1d-bf32-2d82608bc15e",
"wallet": "0x756Fead01907b3c2173d148f9864d00fAd371AB6",
"eth_fee": false,
"payment_id": "pay_123456789",
"payment_type": "eth network"
}